package rest.test;
import java.util.GregorianCalendar;
import java.util.UUID;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.xml.datatype.DatatypeFactory;

@Path("/action")
public class RestBean {

	@GET
	@Path("/execute")
	@Produces(MediaType.APPLICATION_JSON)
	public Response callJson() throws Exception {
		Response out = new Response();
		out.setDate(DatatypeFactory.newInstance().newXMLGregorianCalendar(new GregorianCalendar()));
		out.setResponseToId(UUID.randomUUID().toString());
		out.setResponseId(UUID.randomUUID().toString());
		return out;
	}
}
